Bug 53189 - pkcon repo-list does not list the repositories in Mageia 2
Summary: pkcon repo-list does not list the repositories in Mageia 2
Status: RESOLVED NOTABUG
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-06 21:01 UTC by frateraec
Modified: 2018-08-21 15:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description frateraec 2012-08-06 21:01:12 UTC
pkcon repo-list does not list the repositories in Mageia 2
version 0.6.21
Output of the command in the terminal:
# pkcon -v repo-list
17:51:14        PackageKit          Verbose debugging enabled (on console 1)
17:51:14        PackageKit          notify::backend-description
17:51:14        PackageKit          notify::version-major
17:51:14        PackageKit          notify::groups
17:51:14        PackageKit          notify::backend-author
17:51:14        PackageKit          notify::backend-name
17:51:14        PackageKit          notify::version-micro
17:51:14        PackageKit          notify::roles
17:51:14        PackageKit          notify::mime-types
17:51:14        PackageKit          notify::filters
17:51:14        PackageKit          notify::version-minor
17:51:14        PackageKit          notify::network-state
17:51:14        PackageKit          notify::distro-id
17:51:14        PackageKit          filter=(null), filters=0
17:51:14        PackageKit          adding state 0x839800
17:51:14        PackageKit          role now get-repo-list
Getting repositories         [                         ] (0%)  17:51:14 PackageKit          emit transaction-list-changed (when idle)
17:51:14        PackageKit          already processing request 0x1, so ignoring
17:51:14        PackageKit          already processing request 0x1, so ignoring
                             [=========================]         
Starting                     [                      == ]         17:51:15      PackageKit          remove state 0x839800
17:51:15        PackageKit          emit transaction-list-changed (when idle)
                              [=========================]     

As can be seen above the output with the repository list is null!
Comment 1 frateraec 2012-08-19 11:58:49 UTC
Integration between packagekit and urpmi which was never done
https://bugs.mageia.org/show_bug.cgi?id=7106
Comment 2 Marja van Waes 2018-06-12 07:49:22 UTC
@ frateraec


It works fine in Mageia 7 cauldron, this was fixed very long ago:

https://github.com/hughsie/PackageKit/commit/ee321848c1fefc1f9b9550cc3cb65bed8bb63420#diff-e84d6cf21b82508ba4c2789cfa354585

the fix was maybe not backported to Mageia 2, but fixed packagekit was certainly in Mageia 3 and later.

Please confirm this is fixed in current Mageia stable (so Mageia 6) and close this bug report :-)

Thanks,
Marja
Comment 3 Richard Hughes 2018-08-21 15:52:32 UTC
We moved the upstream bugtracker to GitHub a long time ago. If this issue still affects you please re-create the issue here: https://github.com/hughsie/PackageKit/issues
 
Sorry for the impersonal message, and fingers crossed your issue no longer happens. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.